﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Documents.Reports.Report.Section;
using Infragistics.Documents.Reports.Report;
using Infragistics.Documents.Reports.Report.Text;
using System.Diagnostics;

namespace WindowsFormsApplication50
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            var exportedFilePath = "..//..//report.pdf";

            var report = new Report();

            ISection gridSection = this.ultraGridDocumentExporter1.Export(ultraGrid1, report);
            gridSection.PageNumbering.SkipFirst = false;
            gridSection.PageNumbering.Template = "Page [Page #] of [TotalPages]";
            ISectionHeader headerSection = gridSection.AddHeader();
            headerSection.Repeat = true;

            IText headerText = headerSection.AddText(0, 0);
            headerText.Alignment = TextAlignment.Center;
            headerText.AddContent("TEST REPORT HEADER");

            ISectionFooter footerSection = gridSection.AddFooter();
            
            IText footerText = footerSection.AddText(0, -20);
            footerText.Alignment = TextAlignment.Center;
            footerText.AddContent("TEST REPORT FOOTER");

            report.Publish(exportedFilePath, FileFormat.PDF);

            Process.Start("..\\..\\report.pdf");

            this.Close();
        }
    }
}
